## vtk9 9.3.0+dfsg1

=== Common/DataModel/CMakeLists.txt ===
set(classes
  vtkAMRBox
  vtkAMRUtilities
  vtkAbstractCellLinks
  vtkAbstractCellLocator
  vtkAbstractElectronicData
  vtkAbstractPointLocator
  vtkAdjacentVertexIterator
  vtkAnimationScene
  vtkAnnotation
  vtkAnnotationLayers
  vtkArrayData
  vtkAtom
  vtkAttributesErrorMetric
  vtkBSPCuts
  vtkBSPIntersections
  vtkBezierCurve
  vtkBezierHexahedron
  vtkBezierInterpolation
  vtkBezierQuadrilateral
  vtkBezierTetra
  vtkBezierTriangle
  vtkBezierWedge
  vtkBiQuadraticQuad
  vtkBiQuadraticQuadraticHexahedron
  vtkBiQuadraticQuadraticWedge
  vtkBiQuadraticTriangle
  vtkBond
  vtkBoundingBox
  vtkBox
  vtkCell
  vtkCell3D
  vtkCellArray
  vtkCellArrayIterator
  vtkCellAttribute
  vtkCellData
  vtkCellGrid
  vtkCellGridBoundsQuery
  vtkCellGridResponders
  vtkCellGridSidesQuery
  vtkCellIterator
  vtkCellLinks
  vtkCellLocator
  vtkCellLocatorStrategy
  vtkCellMetadata
  vtkCellTreeLocator
  vtkCellTypes
  vtkClosestNPointsStrategy
  vtkClosestPointStrategy
  vtkCompositeDataIterator
  vtkCompositeDataSet
  vtkCone
  vtkConvexPointSet
  vtkCoordinateFrame
  vtkCubicLine
  vtkCylinder
  vtkDataAssembly
  vtkDataAssemblyUtilities
  vtkDataObject
  vtkDataObjectCollection
  vtkDataObjectTree
  vtkDataObjectTreeIterator
  vtkDataObjectTypes
  vtkDataSet
  vtkDataSetAttributes
  vtkDataSetAttributesFieldList
  vtkDataSetCellIterator
  vtkDataSetCollection
  vtkDirectedAcyclicGraph
  vtkDirectedGraph
  vtkDistributedGraphHelper
  vtkEdgeListIterator
  vtkEdgeTable
  vtkEmptyCell
  vtkExplicitStructuredGrid
  vtkExtractStructuredGridHelper
  vtkFieldData
  vtkFindCellStrategy
  vtkGenericAdaptorCell
  vtkGenericAttribute
  vtkGenericAttributeCollection
  vtkGenericCell
  vtkGenericCellIterator
  vtkGenericCellTessellator
  vtkGenericDataSet
  vtkGenericEdgeTable
  vtkGenericInterpolatedVelocityField
  vtkGenericPointIterator
  vtkGenericSubdivisionErrorMetric
  vtkGeometricErrorMetric
  vtkGraph
  vtkGraphEdge
  vtkGraphInternals
  vtkHexagonalPrism
  vtkHexahedron
  vtkHierarchicalBoxDataIterator
  vtkHierarchicalBoxDataSet
  vtkHigherOrderCurve
  vtkHigherOrderHexahedron
  vtkHigherOrderInterpolation
  vtkHigherOrderQuadrilateral
  vtkHigherOrderTetra
  vtkHigherOrderTriangle
  vtkHigherOrderWedge
  vtkHyperTree
  vtkHyperTreeCursor
  vtkHyperTreeGrid
  vtkHyperTreeGridLocator
  vtkHyperTreeGridGeometricLocator
  vtkHyperTreeGridNonOrientedCursor
  vtkHyperTreeGridNonOrientedGeometryCursor
  vtkHyperTreeGridNonOrientedUnlimitedGeometryCursor
  vtkHyperTreeGridNonOrientedMooreSuperCursor
  vtkHyperTreeGridNonOrientedMooreSuperCursorLight
  vtkHyperTreeGridNonOrientedUnlimitedMooreSuperCursor
  vtkHyperTreeGridNonOrientedSuperCursor
  vtkHyperTreeGridNonOrientedSuperCursorLight
  vtkHyperTreeGridNonOrientedUnlimitedSuperCursor
  vtkHyperTreeGridNonOrientedVonNeumannSuperCursor
  vtkHyperTreeGridNonOrientedVonNeumannSuperCursorLight
  vtkHyperTreeGridOrientedCursor
  vtkHyperTreeGridOrientedGeometryCursor
  vtkImageData
  vtkImageIterator
  vtkImageTransform
  vtkImplicitBoolean
  vtkImplicitDataSet
  vtkImplicitFunction
  vtkImplicitFunctionCollection
  vtkImplicitHalo
  vtkImplicitSelectionLoop
  vtkImplicitSum
  vtkImplicitVolume
  vtkImplicitWindowFunction
  vtkInEdgeIterator
  vtkIncrementalOctreeNode
  vtkIncrementalOctreePointLocator
  vtkIncrementalPointLocator
  vtkInformationQuadratureSchemeDefinitionVectorKey
  vtkIterativeClosestPointTransform
  vtkKdNode
  vtkKdTree
  vtkKdTreePointLocator
  vtkLagrangeCurve
  vtkLagrangeHexahedron
  vtkLagrangeInterpolation
  vtkLagrangeQuadrilateral
  vtkLagrangeTetra
  vtkLagrangeTriangle
  vtkLagrangeWedge
  vtkLine
  vtkLocator
  vtkMarchingCubesTriangleCases
  vtkMarchingCubesPolygonCases
  vtkMarchingSquaresLineCases
  vtkMeanValueCoordinatesInterpolator
  vtkMergePoints
  vtkMolecule
  vtkMultiBlockDataSet
  vtkMultiPieceDataSet
  vtkMutableDirectedGraph
  vtkMutableUndirectedGraph
  vtkNonLinearCell
  vtkNonMergingPointLocator
  vtkOctreePointLocator
  vtkOctreePointLocatorNode
  vtkOrderedTriangulator
  vtkOutEdgeIterator
  vtkPartitionedDataSet
  vtkPartitionedDataSetCollection
  vtkPath
  vtkPentagonalPrism
  vtkPerlinNoise
  vtkPiecewiseFunction
  vtkPixel
  vtkPixelExtent
  vtkPixelTransfer
  vtkPlane
  vtkPlaneCollection
  vtkPlanes
  vtkPlanesIntersection
  vtkPointData
  vtkPointLocator
  vtkPointSet
  vtkPointSetCellIterator
  vtkPointsProjectedHull
  vtkPolyData
  vtkPolyDataCollection
  vtkPolyLine
  vtkPolyPlane
  vtkPolyVertex
  vtkPolygon
  vtkPolyhedron
  vtkPolyhedronUtilities
  vtkPyramid
  vtkQuad
  vtkQuadraticEdge
  vtkQuadraticHexahedron
  vtkQuadraticLinearQuad
  vtkQuadraticLinearWedge
  vtkQuadraticPolygon
  vtkQuadraticPyramid
  vtkQuadraticQuad
  vtkQuadraticTetra
  vtkQuadraticTriangle
  vtkQuadraticWedge
  vtkQuadratureSchemeDefinition
  vtkQuadric
  vtkRectilinearGrid
  vtkReebGraph
  vtkReebGraphSimplificationMetric
  vtkSelection
  vtkSelectionNode
  vtkSimpleCellTessellator
  vtkSmoothErrorMetric
  vtkSortFieldData
  vtkSphere
  vtkSpheres
  vtkSphericalPointIterator
  vtkSpline
  vtkStaticCellLinks
  vtkStaticCellLocator
  vtkStaticPointLocator
  vtkStaticPointLocator2D
  vtkStructuredData
  vtkStructuredExtent
  vtkStructuredGrid
  vtkStructuredPoints
  vtkStructuredPointsCollection
  vtkSuperquadric
  vtkTable
  vtkTetra
  vtkTree
  vtkTreeBFSIterator
  vtkTreeDFSIterator
  vtkTreeIterator
  vtkTriQuadraticHexahedron
  vtkTriQuadraticPyramid
  vtkTriangle
  vtkTriangleStrip
  vtkUndirectedGraph
  vtkUniformGrid
  vtkUniformHyperTreeGrid
  vtkUnstructuredGrid
  vtkUnstructuredGridBase
  vtkUnstructuredGridCellIterator
  vtkVertex
  vtkVertexListIterator
  vtkVoxel
  vtkWedge
  vtkXMLDataElement

  # New classes for AMR
  vtkAMRDataInternals
  vtkAMRInformation
  vtkNonOverlappingAMR
  vtkOverlappingAMR
  vtkUniformGridAMR
  vtkUniformGridAMRDataIterator)

set(template_classes
  vtkAngularPeriodicDataArray
  vtkArrayListTemplate
  vtkMappedUnstructuredGrid
  vtkMappedUnstructuredGridCellIterator
  vtkPeriodicDataArray
  vtkStaticCellLinksTemplate
  vtkStaticEdgeLocatorTemplate
  vtkStaticFaceHashLinksTemplate)

set(nowrap_classes
  vtkHyperTreeGridEntry
  vtkHyperTreeGridGeometryEntry
  vtkHyperTreeGridGeometryUnlimitedEntry
  vtkHyperTreeGridGeometryLevelEntry
  vtkHyperTreeGridGeometryUnlimitedLevelEntry
  vtkHyperTreeGridLevelEntry)

set(headers
  vtkCellGridQuery.h
  vtkCellGridResponder.h
  vtkCellGridResponderBase.h
  vtkCellType.h
  vtkColor.h
  vtkDataAssemblyVisitor.h
  vtkDataObjectTreeInternals.h
  vtkHyperTreeGridScales.h
  vtkHyperTreeGridTools.h
  vtkIntersectionCounter.h
  vtkLabelMapLookup.h
  vtkRect.h
  vtkVector.h
  vtkVectorOperators.h)

set(nowrap_headers
  vtkCompositeDataSetNodeReference.h
  vtkCompositeDataSetRange.h
  vtkDataObjectTreeRange.h
  vtkPolyDataInternals.h)

set(templates
  vtkCompositeDataSet.txx)

set(private_templates
  vtkImageIterator.txx)

vtk_module_add_module(VTK::CommonDataModel
  CLASSES           ${classes}
  NOWRAP_CLASSES    ${nowrap_classes}
  TEMPLATES         ${templates}
  TEMPLATE_CLASSES  ${template_classes}
  HEADERS           ${headers}
  NOWRAP_HEADERS    ${nowrap_headers}
  PRIVATE_TEMPLATES ${private_templates})
vtk_add_test_mangling(VTK::CommonDataModel)

=== Common/Math/CMakeLists.txt ===
set(classes
  vtkAmoebaMinimizer
  vtkFFT
  vtkFunctionSet
  vtkInitialValueProblemSolver
  vtkMatrix3x3
  vtkMatrix4x4
  vtkPolynomialSolversUnivariate
  vtkQuaternionInterpolator
  vtkRungeKutta2
  vtkRungeKutta4
  vtkRungeKutta45
)

set(template_classes
  vtkQuaternion
)

set(templates
  vtkFFT.txx)

set(headers
  vtkTuple.h
)

set(nowrap_classes
  vtkReservoirSampler
)

if(CMAKE_COMPILER_IS_GNUCXX)
  set_source_files_properties(vtkPolynomialSolversUnivariate.cxx
    PROPERTIES
      COMPILE_FLAGS -O0)
endif()

vtk_module_add_module(VTK::CommonMath
  CLASSES           ${classes}
  TEMPLATES         ${templates}
  TEMPLATE_CLASSES  ${template_classes}
  HEADERS           ${headers}
  NOWRAP_CLASSES    ${nowrap_classes}
)
vtk_add_test_mangling(VTK::CommonMath)

=== Common/System/CMakeLists.txt ===
vtk_module_find_package(
  PACKAGE Threads)

set(classes
  vtkClientSocket
  vtkDirectory
  vtkExecutableRunner
  vtkServerSocket
  vtkSocket
  vtkSocketCollection
  vtkTimerLog)

include("${CMAKE_CURRENT_SOURCE_DIR}/vtkTestSocketFeatures.cmake")

set(vtkSocket_defines)
if (VTK_HAVE_GETSOCKNAME_WITH_SOCKLEN_T)
  list(APPEND vtkSocket_defines "VTK_HAVE_GETSOCKNAME_WITH_SOCKLEN_T")
endif ()
if (VTK_HAVE_SO_REUSEADDR)
  list(APPEND vtkSocket_defines "VTK_HAVE_SO_REUSEADDR")
endif ()
if(VTK_NO_PLATFORM_SOCKETS)
  list(APPEND vtkSocket_defines "VTK_SOCKET_FAKE_API")
endif()

set_source_files_properties(vtkSocket.cxx
  PROPERTIES
    COMPILE_DEFINITIONS "${vtkSocket_defines}")

vtk_module_add_module(VTK::CommonSystem
  CLASSES ${classes})
vtk_module_link(VTK::CommonSystem
  PRIVATE
    $<$<PLATFORM_ID:WIN32>:wsock32>
    Threads::Threads)
vtk_add_test_mangling(VTK::CommonSystem)

=== Domains/Chemistry/CMakeLists.txt ===
set(classes
  vtkBlueObeliskData
  vtkBlueObeliskDataParser
  vtkMoleculeMapper
  vtkMoleculeToAtomBallFilter
  vtkMoleculeToBondStickFilter
  vtkMoleculeToLinesFilter
  vtkMoleculeToPolyDataFilter
  vtkPeriodicTable
  vtkPointSetToMoleculeFilter
  vtkProgrammableElectronicData
  vtkProteinRibbonFilter
  vtkSimpleBondPerceiver)

set(headers
  vtkChemistryConfigure.h)

vtk_module_add_module(VTK::DomainsChemistry
  CLASSES ${classes}
  NOWRAP_HEADERS ${headers}
  PRIVATE_HEADERS vtkBlueObeliskDataInternal.h)
vtk_add_test_mangling(VTK::DomainsChemistry)

=== Filters/CellGrid/CMakeLists.txt ===
set(classes
  vtkCellGridComputeSurface
  vtkDGBoundsResponder
  vtkDGCell
  vtkDGHex
  vtkDGSidesResponder
  vtkDGTet
)

vtk_module_add_module(VTK::FiltersCellGrid
  CLASSES ${classes}
)

=== Filters/General/CMakeLists.txt ===
set(classes
  vtkAnimateModes
  vtkAnnotationLink
  vtkAppendLocationAttributes
  vtkAppendPoints
  vtkApproximatingSubdivisionFilter
  vtkAreaContourSpectrumFilter
  vtkAxes
  vtkBlankStructuredGrid
  vtkBlankStructuredGridWithImage
  vtkBlockIdScalars
  vtkBooleanOperationPolyDataFilter
  vtkBoxClipDataSet
  vtkBrownianPoints
  vtkCellDerivatives
  vtkCellValidator
  vtkCleanUnstructuredGrid
  vtkCleanUnstructuredGridCells
  vtkClipClosedSurface
  vtkClipConvexPolyData
  vtkClipDataSet
  vtkClipVolume
  vtkCoincidentPoints
  vtkContourTriangulator
  vtkCountFaces
  vtkCountVertices
  vtkCursor2D
  vtkCursor3D
  vtkCurvatures
  vtkDataSetGradient
  vtkDataSetGradientPrecompute
  vtkDataSetTriangleFilter
  vtkDateToNumeric
  vtkDeflectNormals
  vtkDeformPointSet
  vtkDensifyPolyData
  vtkDicer
  vtkDiscreteFlyingEdges2D
  vtkDiscreteFlyingEdges3D
  vtkDiscreteFlyingEdgesClipper2D
  vtkDiscreteMarchingCubes
  vtkDistancePolyDataFilter
  vtkEdgePoints
  vtkEqualizerFilter
  vtkExtractArray
  vtkExtractGhostCells
  vtkExtractSelectedFrustum
  vtkExtractSelectionBase
  vtkFiniteElementFieldDistributor
  vtkGradientFilter
  vtkGraphLayoutFilter
  vtkGraphToPoints
  vtkGraphWeightEuclideanDistanceFilter
  vtkGraphWeightFilter
  vtkGroupDataSetsFilter
  vtkGroupTimeStepsFilter
  vtkHierarchicalDataLevelFilter
  vtkHyperStreamline
  vtkIconGlyphFilter
  vtkImageDataToPointSet
  vtkImageMarchingCubes
  vtkInterpolateDataSetAttributes
  vtkInterpolatingSubdivisionFilter
  vtkIntersectionPolyDataFilter
  vtkJoinTables
  vtkLevelIdScalars
  vtkLinkEdgels
  vtkLoopBooleanPolyDataFilter
  vtkMarchingContourFilter
  vtkMatricizeArray
  vtkMergeArrays
  vtkMergeCells
  vtkMergeTimeFilter
  vtkMergeVectorComponents
  vtkMultiBlockDataGroupFilter
  vtkMultiBlockMergeFilter
  vtkMultiThreshold
  vtkNormalizeMatrixVectors
  vtkOBBDicer
  vtkOBBTree
  vtkOverlappingAMRLevelIdScalars
  vtkPassArrays
  vtkPassSelectedArrays
  vtkPointConnectivityFilter
  vtkPolyDataStreamer
  vtkPolyDataToReebGraphFilter
  vtkProbePolyhedron
  vtkQuadraturePointInterpolator
  vtkQuadraturePointsGenerator
  vtkQuadratureSchemeDictionaryGenerator
  vtkQuantizePolyDataPoints
  vtkRandomAttributeGenerator
  vtkRectilinearGridClip
  vtkRectilinearGridToPointSet
  vtkRectilinearGridToTetrahedra
  vtkRecursiveDividingCubes
  vtkReflectionFilter
  vtkRemovePolyData
  vtkRotationFilter
  vtkSampleImplicitFunctionFilter
  vtkShrinkFilter
  vtkShrinkPolyData
  vtkSpatialRepresentationFilter
  vtkSphericalHarmonics
  vtkSplineFilter
  vtkSplitByCellScalarFilter
  vtkSplitColumnComponents
  vtkSplitField
  vtkStructuredGridClip
  vtkSubPixelPositionEdgels
  vtkSubdivisionFilter
  vtkSynchronizeTimeFilter
  vtkTableBasedClipDataSet
  vtkTableFFT
  vtkTableToPolyData
  vtkTableToStructuredGrid
  vtkTemporalPathLineFilter
  vtkTemporalStatistics
  vtkTessellatorFilter
  vtkTimeSourceExample
  vtkTransformFilter
  vtkTransformPolyDataFilter
  vtkUncertaintyTubeFilter
  vtkVertexGlyphFilter
  vtkVolumeContourSpectrumFilter
  vtkVoxelContoursToSurfaceFilter
  vtkWarpLens
  vtkWarpScalar
  vtkWarpTo
  vtkWarpVector
  vtkYoungsMaterialInterface)

set(templates
  vtkJoinTables.txx)

vtk_module_add_module(VTK::FiltersGeneral
  CLASSES ${classes}
  TEMPLATES ${templates})
vtk_add_test_mangling(VTK::FiltersGeneral)

=== Filters/GeometryPreview/CMakeLists.txt ===
set(classes
  vtkOctreeImageToPointSetFilter
  vtkPointSetToOctreeImageFilter
  vtkPointSetStreamer)

vtk_module_add_module(VTK::FiltersGeometryPreview
  CLASSES ${classes})

vtk_add_test_mangling(VTK::FiltersGeometryPreview)

=== Filters/Parallel/CMakeLists.txt ===
set(classes
  vtkAdaptiveTemporalInterpolator
  vtkAggregateDataSetFilter
  vtkAlignImageDataSetFilter
  vtkAngularPeriodicFilter
  vtkCollectGraph
  vtkCollectPolyData
  vtkCollectTable
  vtkCutMaterial
  vtkDistributedDataFilter
  vtkDuplicatePolyData
  vtkExtractCTHPart
  vtkExtractPolyDataPiece
  vtkExtractUnstructuredGridPiece
  vtkExtractUserDefinedPiece
  vtkGenerateProcessIds
  vtkHyperTreeGridGhostCellsGenerator
  vtkPHyperTreeGridProbeFilter
  vtkIntegrateAttributes
  vtkPeriodicFilter
  vtkPCellDataToPointData
  vtkPConvertToMultiBlockDataSet
  vtkPExtractDataArraysOverTime
  vtkPExtractExodusGlobalTemporalVariables
  vtkPExtractSelectedArraysOverTime
  vtkPieceRequestFilter
  vtkPieceScalars
  vtkPipelineSize
  vtkPKdTree
  vtkPLinearExtrusionFilter
  vtkPMaskPoints
  vtkPMergeArrays
  vtkPOutlineCornerFilter
  vtkPOutlineFilter
  vtkPOutlineFilterInternals
  vtkPPolyDataNormals
  vtkPProbeFilter
  vtkPProjectSphereFilter
  vtkPReflectionFilter
  vtkPResampleFilter
  vtkPartitionBalancer
  vtkProcessIdScalars
  vtkPSphereSource
  vtkPTextureMapToSphere
  vtkPYoungsMaterialInterface
  vtkRectilinearGridOutlineFilter
  vtkRemoveGhosts
  vtkTransmitPolyDataPiece
  vtkTransmitRectilinearGridPiece
  vtkTransmitStructuredDataPiece
  vtkTransmitStructuredGridPiece
  vtkTransmitUnstructuredGridPiece)

set(headers
  vtkBlockDistribution.h)

vtk_object_factory_declare(
  BASE vtkConvertToMultiBlockDataSet
  OVERRIDE vtkPConvertToMultiBlockDataSet
  )

vtk_object_factory_configure(
  SOURCE_FILE vtk_object_factory_source
  HEADER_FILE vtk_object_factory_header
  EXPORT_MACRO "VTKFILTERSPARALLEL_EXPORT"
  )

vtk_module_add_module(VTK::FiltersParallel
  CLASSES ${classes}
  HEADERS ${headers}
  SOURCES ${vtk_object_factory_source}
  PRIVATE_HEADERS ${vtk_object_factory_header}
  )
vtk_add_test_mangling(VTK::FiltersParallel)

=== Filters/ParallelStatistics/CMakeLists.txt ===
set(classes
  vtkPAutoCorrelativeStatistics
  vtkPBivariateLinearTableThreshold
  vtkPComputeQuantiles
  vtkPComputeQuartiles
  vtkPContingencyStatistics
  vtkPCorrelativeStatistics
  vtkPDescriptiveStatistics
  vtkPKMeansStatistics
  vtkPMultiCorrelativeStatistics
  vtkPOrderStatistics
  vtkPPCAStatistics)

vtk_module_add_module(VTK::FiltersParallelStatistics
  CLASSES ${classes})
vtk_add_test_mangling(VTK::FiltersParallelStatistics)

=== Filters/Topology/CMakeLists.txt ===
set(classes
  vtkFiberSurface)

vtk_module_add_module(VTK::FiltersTopology
  CLASSES ${classes})
vtk_add_test_mangling(VTK::FiltersTopology)

=== GUISupport/QtSQL/CMakeLists.txt ===
# set up sources to build
set(classes
  vtkQtSQLDatabase
  vtkQtSQLQuery
  vtkQtTimePointUtility
  )

vtk_module_add_module(VTK::GUISupportQtSQL
  CLASSES ${classes})

include(vtkQt)
vtk_module_find_package(
  PACKAGE     "Qt${vtk_qt_major_version}"
  COMPONENTS  Widgets Sql
  FORWARD_VERSION_REQ MINOR
  VERSION_VAR         "Qt${vtk_qt_major_version}_VERSION")
vtk_module_link(VTK::GUISupportQtSQL
  PUBLIC "Qt${vtk_qt_major_version}::Sql" "Qt${vtk_qt_major_version}::Widgets")
vtk_add_test_mangling(VTK::GUISupportQtSQL)

=== Geovis/GDAL/CMakeLists.txt ===
vtk_module_find_package(PACKAGE GDAL)

set(classes
  vtkGDALRasterConverter
  vtkGDALRasterReprojection
  vtkRasterReprojectionFilter)

vtk_module_add_module(VTK::GeovisGDAL
  CLASSES ${classes})
vtk_module_link(VTK::GeovisGDAL
  PRIVATE
    GDAL::GDAL)
vtk_add_test_mangling(VTK::GeovisGDAL)

=== debian/changelog ===
vtk9 (9.3.0+dfsg1-7) unstable; urgency=medium

  * Non-maintainer upload
  * Remove obsolete libosmesa6-dev dependency. (Closes: #1113920)
  * Remove obsolete tcl-dev and tk-dev dependency.
  * Remove r-base dependency
  * Apply upstream patch to fix gcc-15 FTBFS issue (Closes: #1111572)
  * Remove obsolete libftgl-dev dependency

 -- Dominique Belhachemi <domibel@debian.org>  Thu, 04 Sep 2025 14:06:08 -0400

vtk9 (9.3.0+dfsg1-6) unstable; urgency=medium

  * Team upload.
  * Remove obsolete libmrmpi-dev dependency.

 -- Bastian Germann <bage@debian.org>  Mon, 01 Sep 2025 17:22:13 +0200

vtk9 (9.3.0+dfsg1-5) unstable; urgency=medium

  * Team upload.
  [ Adrian Bunk ]
  * Apply patch from Samuel Thibault to disable Java and TBB on Hurd.
    Closes: #1094994.
  * Make TBB architecture settings consistent.
  * Remove handling of removed kfreebsd.

 -- Santiago Vila <sanvila@debian.org>  Fri, 22 Aug 2025 13:20:00 +0200

vtk9 (9.3.0+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * Replace _FillValue by NC_FillValue for NetCDF 4.9.3. (Closes: #1095478)

 -- Bastian Germann <bage@debian.org>  Sat, 15 Feb 2025 13:13:19 +0000

vtk9 (9.3.0+dfsg1-3) unstable; urgency=medium

  * [a52f6c5] Fix segfault on python 3.13. (Closes: #1092354)

 -- Anton Gladky <gladk@debian.org>  Tue, 28 Jan 2025 21:40:49 +0100

vtk9 (9.3.0+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Drop Depends: libqt5webkit5-dev.

 -- Bastian Germann <bage@debian.org>  Thu, 23 Jan 2025 08:49:29 +0100

vtk9 (9.3.0+dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build against libhdf5-mpi-dev, since libhdf5-openmpi-dev is no longer
    available on 32-bit architectures. Closes: #1078743.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 22 Nov 2024 11:49:45 +0100

vtk9 (9.3.0+dfsg1-1) unstable; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * Build the IO/GeoJSON module. Closes: #1029285
    To the binary package libvtk9.1t64, this adds
      /usr/lib/${DEB_HOST_MULTIARCH}/libvtkIOGeoJSON-9.1.so.9.1.0
      /usr/lib/${DEB_HOST_MULTIARCH}/vtk/hierarchy/VTK/vtkIOGeoJSON-hierarchy.txt
      /usr/lib/${DEB_HOST_MULTIARCH}/libvtkIOGeoJSON-9.1.so.1
    To the binary package libvtk9-dev, this adds
      /usr/include/vtk-9.1/vtkGeoJSONFeature.h
      /usr/include/vtk-9.1/vtkGeoJSONReader.h
      /usr/include/vtk-9.1/vtkGeoJSONWriter.h
      /usr/include/vtk-9.1/vtkIOGeoJSONModule.h
      /usr/lib/${DEB_HOST_MULTIARCH}/libvtkIOGeoJSON-9.1.so
    To the binary package libvtk9-java, this adds
      /usr/lib/${DEB_HOST_MULITARCH}/java/vtk-Linux-${DEB_HOST_GNU_CPU}
        /libvtkIOGeoJSONJava.so
    To the binary package python3-vtk9, this adds
      /usr/lib/python3/dist-packages/vtkmodules
        /vtkIOGeoJSON.cpython-311-${DEB_HOST_GNU_CPU}.so

  [ Anton Gladky ]
  * Upload of new version 9.3 into unstable.

 -- Anton Gladky <gladk@debian.org>  Thu, 06 Jun 2024 21:34:35 +0200

vtk9 (9.1.0+really9.1.0+dfsg2-8) unstable; urgency=medium

  [ Bo YU ]
  * Team upload.
  * Add support for loongarch64. Thanks to Dandan Zhang
    <zhangdandan@loongson.cn>. (Closes: #1054471)

  [ Michael R. Crusoe ]
  * Cherry-pick patch from upstream to fix issue with newer expat and
    appended data. Closes: #1064762
  * d/control: build-dep on libhdf5-mpi-dev instead of libhdf5-openmpi-
    dev. Closes: #1068321
  * Cherry-pick patch from upstream to fix CVE-2021-42521. Closes:
    #1031877.
  * Fix Maintainer name of Debian Science team (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * d/control: Updated some dependencies on obsolete or supercede packages
    names.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 29 Apr 2024 16:16:28 +0200

vtk9 (9.1.0+really9.1.0+dfsg2-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063267

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 23:38:25 +0000

vtk9 (9.3.0+dfsg1-1~exp4) experimental; urgency=medium

  * [43fb8c1] Add libgl2ps-dev as depends.

 -- Anton Gladky <gladk@debian.org>  Sat, 20 Jan 2024 19:57:32 +0100

vtk9 (9.3.0+dfsg1-1~exp3) experimental; urgency=medium

  * [2767f12] Add missing GL-header.

 -- Anton Gladky <gladk@debian.org>  Wed, 10 Jan 2024 22:17:01 +0100

vtk9 (9.3.0+dfsg1-1~exp2) experimental; urgency=medium

  * [ad5a07d] Update build-depends.

 -- Anton Gladky <gladk@debian.org>  Tue, 09 Jan 2024 19:54:16 +0100

vtk9 (9.3.0+dfsg1-1~exp1) experimental; urgency=medium

  [ Bas Couwenberg ]
  * Team upload.
  * Merge GCC 13 changes from 9.1.0+really9.1.0+dfsg2-7.
    (closes: #1037887)

  [ Anton Gladky ]
  * [69b4a61] Update copyright
  * [d5dfcaf] New upstream version 9.3.0+dfsg1
  * [5e949d9] Update binariries to vtk9.3
  * [7c9a9bf] Update patches

 -- Anton Gladky <gladk@debian.org>  Fri, 05 Jan 2024 06:57:20 +0100

=== debian/control ===
Source: vtk9
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>,
           Gert Wollny <gewo@debian.org>,
           Nico Schlömer <nico.schloemer@gmail.com>
Section: graphics
Priority: optional
Build-Depends: dpkg-dev (>= 1.22.5),
               chrpath,
               cmake,
               debhelper-compat (= 13),
               default-jdk [!hppa !hurd-any],
               default-libmysqlclient-dev,
               dh-sequence-python3,
               doxygen-latex,
               ghostscript,
               gnuplot-nox,
               graphviz,
               hdf5-tools,
               dh-sequence-javahelper,
               libalglib-dev,
               javahelper,
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libdigest-md5-perl,
               libdouble-conversion-dev,
               libeigen3-dev,
               libexpat-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libgdal-dev,
               libgl-dev,
               libgl2ps-dev,
               libglew-dev,
               libglu-dev,
               libhdf5-mpi-dev,
               libhpdf-dev,
               libjpeg-dev,
               libjs-mathjax,
               libjsoncpp-dev,
               liblz4-dev,
               libnetcdf-dev (>= 1:4.9.0),
               libogg-dev,
               libpng-dev,
               libpq-dev,
               libproj-dev,
               libsqlite3-dev,
               libswscale-dev,
               libtbb-dev [linux-any],
               libtheora-dev,
               libtiff-dev,
               libutfcpp-dev,
               libx11-dev,
               libxdmf-dev,
               libxml2-dev,
               libxpm-dev,
               libxt-dev,
               lzma,
               mpi-default-dev,
               pkgconf,
               python3-dev,
               python3-matplotlib,
               python3-mpi4py,
               qtbase5-dev,
               libqt5opengl5-dev,
               qtdeclarative5-dev,
               texlive-binaries,
               x11proto-core-dev,
               xauth,
               xvfb,
               zlib1g-dev,
               sqlite3
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/vtk9
Vcs-Git: https://salsa.debian.org/science-team/vtk9.git
Homepage: https://www.vtk.org/
Rules-Requires-Root: no

Package: libvtk9-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         ${shlibs:Depends},
         default-jdk [!hppa !hurd-any],
         default-libmysqlclient-dev,
         libavcodec-dev,
         libavformat-dev,
         libavutil-dev,
         libc6-dev,
         libdouble-conversion-dev,
         libeigen3-dev,
         libexpat-dev,
         libfreetype-dev,
         libgdal-dev,
         libgl-dev,
         libgl2ps-dev,
         libgl1-mesa-dev | libgl-dev,
         libglew-dev,
         libglu1-mesa-dev | libglu-dev,
         libhdf5-mpi-dev,
         libjpeg-dev,
         libjsoncpp-dev,
         liblz4-dev,
         libnetcdf-dev,
         libpng-dev,
         libpq-dev,
         libproj-dev,
         libpython3-dev,
         libswscale-dev,
         libtbb-dev [linux-any],
         libtheora-dev,
         libtiff-dev,
         libutfcpp-dev,
         libvtk9.3 (= ${binary:Version}),
         libvtk9-java (= ${binary:Version}) [!hppa !hurd-any],
         libx11-dev,
         libxft-dev,
         libxml2-dev,
         libxss-dev,
         libxt-dev,
         mpi-default-dev,
         python3-vtk9 (= ${binary:Version}),
         vtk9 (= ${binary:Version}),
         x11proto-core-dev,
         zlib1g-dev
Suggests: vtk9-doc,
          vtk9-examples
Description: VTK header files
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides the VTK header files required to compile
 C++ programs that use VTK to do 3D visualisation.

Package: libvtk9.3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: mpi-default-bin,
          vtk9-doc,
          vtk9-examples
Breaks: libvtk9.1 (<< ${source:Version}),
        libvtk9 (<< 9.1.0+really9.1.0)
Provides: ${t64:Provides}
Replaces: libvtk9.1,
          libvtk9 (<< 9.1.0+really9.1.0)
Description: VTK libraries
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides the shared libraries needed to run C++ programs
 that use VTK.

Package: libvtk9-java
Architecture: amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el s390x alpha ia64 m68k powerpc ppc64 riscv64 sh4 sparc64 x32
Section: java
Depends: ${java:Depends},
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: java-virtual-machine,
          libvtk9-dev (= ${binary:Version}),
          vtk9-doc,
          vtk9-examples
Description: VTK - Java language support
 The Visualization Toolkit (VTK) is an object oriented, high level
 library that allows one to easily write C++ programs, Python and
 Java scripts that do 3D visualization.
 .
 This package provides the VTK Java language support.

Package: python3-vtk9
Architecture: any
Section: python
Depends: libvtk9.3 (= ${binary:Version}),
         python3-mpi4py,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: mayavi2,
          vtk9-doc,
          vtk9-examples
Breaks: python3-vtk6,
        python3-vtk7
Replaces: python3-vtk6,
          python3-vtk7
Description: Python bindings for VTK
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides the python3 bindings for VTK.

Package: vtk9
Architecture: any
Section: interpreters
Depends: libvtk9.3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: vtk9-doc,
          vtk9-examples
Description: Binaries for VTK9
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides binaries for VTK9

Package: vtk9-doc
Architecture: all
Section: doc
Depends: doc-base,
         libjs-jquery,
         libjs-mathjax,
         ${misc:Depends}
Suggests: libvtk9-dev,
          vtk9-examples
Description: VTK class reference documentation
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides documentation for VTK9

Package: vtk9-examples
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: libvtk9-dev,
          python3,
          python3-vtk9,
          vtk9-doc
Description: VTK examples
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides examples for VTK9

Package: libvtk9.3-qt
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: libvtk9.1-qt (<< ${source:Version})
Provides: ${t64:Provides}
Replaces: libvtk9.1-qt
Description: VTK libraries, Qt files
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides the shared libraries needed to run C++ programs
 that use VTK. Qt files
X-Time64-Compat: libvtk9.1-qt

Package: libvtk9-qt-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libvtk9-dev (= ${binary:Version}),
         libvtk9.3-qt (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         qtbase5-dev,
         qttools5-private-dev,
         libqt5opengl5-dev,
Description: VTK header files, containing Qt files
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides the VTK header files required to compile
 C++ programs that use VTK to do 3D visualisation. Qt files

=== debian/rules ===
#!/usr/bin/make -f
BUILDDIR = $(CURDIR)/debian/build

include /usr/share/dpkg/architecture.mk

nojava_archs=hppa
nojava_os=hurd
ifeq (,$(filter $(DEB_BUILD_ARCH), $(nojava_archs))$(filter $(DEB_BUILD_ARCH_OS), $(nojava_os)))
  export JAVA_HOME=/usr/lib/jvm/default-java
  extra_flags += -DVTK_WRAP_JAVA=ON
endif

ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc sh4))
  export DEB_CXXFLAGS_MAINT_APPEND += -Wl,--no-as-needed -latomic -Wl,--as-needed
  export DEB_LDFLAGS_MAINT_APPEND += -Wl,--no-as-needed -latomic -Wl,--as-needed
endif

notbb_archs=
notbb_os=hurd
ifeq (,$(filter $(DEB_BUILD_ARCH), $(notbb_archs))$(filter $(DEB_BUILD_ARCH_OS), $(notbb_os)))
  extra_flags += -DVTK_SMP_IMPLEMENTATION_TYPE:STRING="TBB"
else
  extra_flags += -DVTK_SMP_IMPLEMENTATION_TYPE:STRING="OpenMP"
endif

%:
	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR)

extra_flags +=  \
	-DBUILD_SHARED_LIBS=ON \
	-DCMAKE_C_COMPILER=mpicc \
	-DCMAKE_CXX_COMPILER=mpic++ \
	-DCMAKE_EXE_LINKER_FLAGS="-Wl,--as-needed -latomic" \
	-DCMAKE_MODULE_LINKER_FLAGS="-Wl,--as-needed" \
	-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed" \
	-DCMAKE_VERBOSE_MAKEFILE=ON \
	-DHDF5_IS_PARALLEL=OFF \
	-DVTK_BUILD_DOCUMENTATION=ON \
	-DVTK_BUILD_EXAMPLES=OFF \
	-DVTK_BUILD_TESTING=OFF \
	-DVTK_EXTRA_COMPILER_WARNINGS=ON \
	-DVTK_GROUP_ENABLE_Qt:STRING="YES" \
	-DVTK_MODULE_ENABLE_VTK_GUISupportQtSQL:STRING="NO" \
	-DVTK_MODULE_ENABLE_VTK_GUISupportQtQuick:STRING="DONT_WANT" \
	-DVTK_GROUP_ENABLE_Rendering:STRING="YES" \
	-DVTK_GROUP_ENABLE_StandAlone:STRING="YES" \
	-DVTK_GROUP_ENABLE_Views:STRING="YES" \
	-DVTK_GROUP_ENABLE_MPI:STRING="YES" \
	-DVTK_GROUP_ENABLE_Imaging:STRING="YES" \
	-DVTK_MODULE_ENABLE_VTK_IOGeoJSON:STRING="YES" \
	-DVTK_MODULE_ENABLE_VTK_RenderingQt:STRING="YES" \
	-DVTK_MODULE_ENABLE_VTK_RenderingTk:STRING="YES" \
	-DVTK_MODULE_ENABLE_VTK_utf8:STRING="YES" \
	-DVTK_MODULE_ENABLE_VTK_InteractionWidgets:STRING="YES" \
	-DVTK_MODULE_ENABLE_VTK_InteractionImage:STRING="YES" \
	-DVTK_MODULE_USE_EXTERNAL_VTK_doubleconversion:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_eigen:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_expat:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_freetype:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_gl2ps:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_glew:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_hdf5:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_jpeg:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_jsoncpp:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_libproj:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_libxml2:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_lz4:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_lzma:BOOL:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_netcdf:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_ogg:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_png:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_sqlite:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_theora:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_tiff:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_utf8:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_zlib:BOOL=ON \
	-DVTK_USE_TK=OFF \
	-DVTK_WRAP_PYTHON=ON \
	-DVTK_MODULE_ENABLE_VTK_RenderingContextOpenGL2=YES \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DVTK_MODULE_ENABLE_VTK_ParallelMPI:STRING="YES" \
	-DVTK_USE_MPI=ON \
	-DVTK_JAVA_SOURCE_VERSION:STRING=1.8 \
	-DVTK_JAVA_TARGET_VERSION:STRING=1.8 \


override_dh_auto_configure:
	dh_auto_configure -- $(extra_flags)

execute_after_dh_auto_clean:
	rm -rf $(BUILDDIR)

execute_after_dh_auto_build:
	cd $(BUILDDIR) && make DoxygenDoc
	find $(BUILDDIR)/Utilities/Doxygen/doc/html/ -name "*.md5" | xargs rm -f

override_dh_auto_install:
	dh_auto_install -X.pyc -X.pyo
ifneq ($(JAVA_HOME),)
	# Correct headers for paraview
	mv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/java/vtk.jar $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/java/vtk9.jar
endif
	sed -i -e "s/FATAL_ERROR/STATUS/g" $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/vtk-9.3/VTK-targets.cmake

execute_after_dh_install:
	rm -rf $(CURDIR)/debian/tmp/usr/share/licenses
	find $(CURDIR)/debian/libvtk9-dev/ -name "*Qt*" -exec rm {} \; || true
	find $(CURDIR)/debian/libvtk9-dev/ -name "libvtkRenderingPythonTkWidgets.so" -exec rm {} \; || true
	find $(CURDIR)/debian/libvtk9-dev/usr/include/ -name "Q*" -exec rm {} \; || true
	find $(CURDIR)/debian/libvtk9.3/ -name "*Qt*" -exec rm {} \; || true
	find $(CURDIR)/debian/tmp/usr/share/doc/vtk-9.0/doxygen -name "_formulas.log" -exec rm {} \; || true
	find $(CURDIR)/debian/build/Utilities/Doxygen/doc/html -name "_formulas.log" -exec rm {} \; || true

# Fix privacy breach
execute_after_dh_installdocs-indep:
	find $(CURDIR)/debian/vtk9-doc/ -type f -print0 | xargs -0 sed -i 's/https:\/\/raw\.githubusercontent\.com//g'
	find $(CURDIR)/debian/vtk9-doc/ -type f -print0 | xargs -0 sed -i 's/https:\/\/cdn\.jsdelivr\.net\/npm\/mathjax@2/\/usr\/share\/javascript\/mathjax/g'

=== debian/tests/control ===
Tests: buildBoolean buildPoint buildVTU buildDistance buildPNG buildVTP
Depends: libvtk9-dev, libvtk9-qt-dev, build-essential, cmake
Restrictions: allow-stderr
